[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[Pkg-xfce-devel] Bug#829931: lightdm-gtk-greeter: Uses deprecated gnome-common macros/variables



Source: lightdm-gtk-greeter
Version: 2.0.1-2
Severity: normal
User: pkg-gnome-maintainers at lists.alioth.debian.org
Usertags: gnome-common

Hi,

gnome-common did a cleanup upstream and deprecated quite a few macros
and variables.

gnome-doc-utils removal
=======================
The gnome-doc-utils build infrastructure was removed completely along
with the following macros:

 GNOME_DOC_INIT [1]
 GNOME_COMMON_INIT [2]


deprecated variables
====================
The following variables used in gnome-autogen.sh have been declared
deprecated [3]:

 REQUIRED_GNOME_DOC_UTILS_VERSION
 REQUIRED_DOC_COMMON_VERSION
 USE_COMMON_DOC_BUILD
 FORBIDDEN_M4MACROS
 GNOME2_DIR
 GNOME2_PATH
 USE_GNOME2_MACROS

deprecated macros
=================
The following macros have also been declared deprecated:

 GNOME_COMPILE_WARNINGS [4]
 GNOME_CXX_WARNINGS [5]

Upstream has documentation at [6] with how you can fix your package and
why those particular changes were made.

According to codesearch.d.n your package lightdm-gtk-greeter uses one of the macros or
variables so might be affected, especially once you run autoreconf. Please
update your package accordingly and forward it to upstream if possible.

If you have further question, please don't hesitate to ask.

Regards,
Michael

[1] https://git.gnome.org/browse/gnome-common/commit/?id=6684e2fa5
[2] https://git.gnome.org/browse/gnome-common/commit/?id=1f60e9536
[3] https://git.gnome.org/browse/gnome-common/commit/?id=4c8d8ad93
[4] https://git.gnome.org/browse/gnome-common/commit/?id=b57bae0be
[5] https://git.gnome.org/browse/gnome-common/commit/?id=2bffd7e1u
[6] https://wiki.gnome.org/Projects/GnomeCommon/Migration




Reply to: